Bug 1197720 - Rebase to the latest Ruby 2.0.0 point release
Summary: Rebase to the latest Ruby 2.0.0 point release
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ruby   
(Show other bugs)
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Valena
QA Contact: Iveta Wiedermann
Lenka Špačková
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1191019 1313485 1289025 1295829
TreeView+ depends on / blocked
 
Reported: 2015-03-02 13:33 UTC by Vít Ondruch
Modified: 2018-11-21 12:54 UTC (History)
6 users (show)

Fixed In Version: ruby-2.0.0.648-26.el7
Doc Type: Release Note
Doc Text:
_ruby_ rebased to version 2.0.0.648 The _ruby_ packages have been upgraded to upstream version 2.0.0.648, which provides a number of bug and security fixes. This is the last upstream stable release of *Ruby 2.0.0* as it has been deprecated in upstream. More recent versions of Ruby are available in Red Hat Software Collections.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 06:15:51 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2422 normal SHIPPED_LIVE ruby bug fix update 2016-11-03 13:59:14 UTC
Red Hat Bugzilla 1200419 None None None Never
Red Hat Bugzilla 1298282 None None None Never

Internal Trackers: 1200419 1298282

Description Vít Ondruch 2015-03-02 13:33:26 UTC
New Ruby 2.0 point release is available. We should consider rebase.


https://www.ruby-lang.org/en/news/2015/02/25/ruby-2-0-0-p643-is-released/


Please also note that this is the last ordinal release of Ruby 2.0.0. Ruby 2.0.0 goes into the state of the security maintenance phase, and will never be released unless any critical regressions or security issues are found. This phase will be ended at Feb. 24th, 2016.

Comment 2 Vít Ondruch 2015-08-20 08:20:58 UTC
https://www.ruby-lang.org/en/news/2015/08/18/ruby-2-0-0-p647-released/

This includes fix for CVE-2015-3900.

Comment 4 Robert Krátký 2016-04-12 10:48:23 UTC
Hi Vít,

This bug has been selected for inclusion in 7.3 Release Notes. Could you please add info to the Docs Text field, so that I can use it to formulate the release note?

Thanks.

Comment 5 Pavel Valena 2016-06-01 12:34:17 UTC
Hi Robert,

I am working on this rebase.

Comment 10 errata-xmlrpc 2016-11-04 06:15:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2422.html


Note You need to log in before you can comment on or make changes to this bug.